> For the complete documentation index, see [llms.txt](https://docs.mews.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mews.com/booking-engine-guide/changelog/changelog2020.md).

# Changelog 2020

## 26th November 2020

* API: Updated [Authentication](https://docs.mews.com/booking-engine-guide/booking-engine-api/guidelines/authentication.md) page.

## 20th November 2020

* API: Made `ConfigurationId` parameter in [Create reservation group](https://docs.mews.com/booking-engine-guide/booking-engine-api/operations/reservation-groups.md#create-reservation-group) endpoint required.
* API: Added `ConfigurationId` parameter to [Get availability](https://docs.mews.com/booking-engine-guide/booking-engine-api/operations/hotels.md#get-availability) endpoint.
* API: Previous variant of sending `HotelId` without `ConfigurationId` to these endpoints was deprecated.
* General: Stopped support for hotel/enterprise ids in URL and in the configuration of a javascript client.
* General: Configuration ids are now the only supported way to setup Distributor.

## 28th August 2020

* API: Added `CurrencyCode` parameter to [Get availability](https://docs.mews.com/booking-engine-guide/booking-engine-api/operations/hotels.md#get-availability) endpoint.

## 22nd June 2020

* API: Added section describing payment card support.
* API: Improved `PaymentGatewayData` description.
* API: Removed deprecated payment gateways.
* API: Improved `CreditCardData` description.
* API: [PR 36](https://github.com/MewsSystems/gitbook-distributor-guide/pull/36/files)
* Widget: Updated info about payment gateways and payment card storages.
* Widget: [PR 36](https://github.com/MewsSystems/gitbook-distributor-guide/pull/36/files)

## 18th June 2020

* API: Removed `AlwaysIncluded` field from [Product](https://docs.mews.com/booking-engine-guide/booking-engine-api/operations/hotels.md#product) ([PR37](https://github.com/MewsSystems/gitbook-distributor-guide/pull/37/files)). In order to pre-select a product during a booking, you can use `IncludedByDefault` field.

## 22nd April 2020

* API: Added following sections: Configuration, Theme, City, PaymentCardInput, RequiredField, Enterprise and Address.

## 23rd March 2020

* Widget: Added guide for conditionally firing tags based on tracking consents.

## 20th March 2020

* Widget: Added tracking consents integration.

## 18th March 2020

* API: Added `close()` FE api description.

## 4th March 2020

* API: Added SendMarketingEmail field to Booker.

## 3rd March 2020

* API: Added enums for RateGroups section and some minor improvements.

## 26th February 2020

* API: Added documentation for `hotels/getPaymentConfiguration`.
* API: Deleted old/legacy `payments/getPaymentGateway`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mews.com/booking-engine-guide/changelog/changelog2020.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
